Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 264761 - <net-nds/openldap-2.4.13 fails to compile with GCC 4.4 [patch]
Summary: <net-nds/openldap-2.4.13 fails to compile with GCC 4.4 [patch]
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] GCC Porting (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: LDAP Herd
URL: http://bugs.debian.org/cgi-bin/bugrep...
Whiteboard:
Keywords:
Depends on:
Blocks: gcc-4.4
  Show dependency tree
 
Reported: 2009-04-03 13:24 UTC by Daniel J.
Modified: 2009-05-08 01:16 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Patch from Debian to enable GCC 4.4 compilation (openldap-2.3.43-gcc44fix.patch,1.14 KB, patch)
2009-04-03 13:25 UTC, Daniel J.
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel J. 2009-04-03 13:24:49 UTC
Building net-nds/openldap with GCC 4.4, the following error occurs many times:

var/tmp/portage/net-nds/openldap-2.3.43-41/work/openldap-2.3.43/include/ldap_pvt_thread.h:66:7: error: missing binary operator before token "("

This has been fixed upstream as of openldap-2.4.13.  The highest version in portage is 2.4.11, and all of the 2.4 series are hardmasked at this time.

I am attaching a patch adapted from the Debian bugreport linked above.
Comment 1 Daniel J. 2009-04-03 13:25:27 UTC
Created attachment 187194 [details, diff]
Patch from Debian to enable GCC 4.4 compilation
Comment 2 Ryan Hill (RETIRED) gentoo-dev 2009-04-15 01:12:54 UTC
in gcc-porting overlay (thanks again)
Comment 3 Peter Alfredsen (RETIRED) gentoo-dev 2009-05-08 01:16:20 UTC
+  08 May 2009; Peter Alfredsen <loki_val@gentoo.org>
+  +files/openldap-2.3.XY-gcc44.patch, openldap-2.3.39-r2.ebuild,
+  openldap-2.3.40-r1.ebuild, openldap-2.3.41.ebuild,
+  openldap-2.3.41-r1.ebuild, openldap-2.3.43.ebuild,
+  openldap-2.3.43-r1.ebuild:
+  Fix build with gcc-4.4, bug 264761. Thanks to Daniel J.
+  <sleeperseven@hotmail.com> for the patch. Versions still affected:
+  openldap-2.4.7, 2.4.10, 2.4.11*, but PMASKED. Use 2.4.16 if you have to.
+